org.springframework.data.repository.cdi

## Interface CdiRepositoryConfiguration

    public interface CdiRepositoryConfiguration

Interface containing the configurable options for the Spring Data repository subsystem using CDI.

Author:
  Mark Paluch, Fabian Henniges, Ariel Carrera

### Method Summary

All Methods Instance Methods Default Methods
`default Optional<QueryMethodEvaluationContextProvider>` `getEvaluationContextProvider()` Return the `QueryMethodEvaluationContextProvider` to use.
`default Optional<NamedQueries>` `getNamedQueries()` Return the `NamedQueries` to use.
`default List<QueryCreationListener<?>>` `getQueryCreationListeners()` Returns the list of `QueryCreationListener` to be used during repository proxy creation.
`default Optional<QueryLookupStrategy.Key>` `getQueryLookupStrategy()` Return the `QueryLookupStrategy.Key` to lookup queries.
`default Optional<Class<?>>` `getRepositoryBeanClass()` Return the `repository base class` to use.
`default String` `getRepositoryImplementationPostfix()` Returns the configured postfix to be used for looking up custom implementation classes.
`default List<RepositoryProxyPostProcessor>` `getRepositoryProxyPostProcessors()` Returns the list of `RepositoryProxyPostProcessor` to be used during repository proxy creation.

### Method Detail

#### getEvaluationContextProvider

    default Optional<QueryMethodEvaluationContextProvider> getEvaluationContextProvider()

Return the `QueryMethodEvaluationContextProvider` to use. Can be `Optional.empty()` .

Returns:
  the optional `QueryMethodEvaluationContextProvider` base to use, can be `Optional.empty()`, must not be null.
Since:
  2.1

#### getNamedQueries

    default Optional<NamedQueries> getNamedQueries()

Return the `NamedQueries` to use. Can be `Optional.empty()`.

Returns:
  the optional named queries to use, can be `Optional.empty()`, must not be null.
Since:
  2.1

#### getQueryLookupStrategy

    default Optional<QueryLookupStrategy.Key> getQueryLookupStrategy()

Return the `QueryLookupStrategy.Key` to lookup queries. Can be `Optional.empty()`.

Returns:
  the lookup strategy to use, can be `Optional.empty()`, must not be null.
Since:
  2.1

#### getRepositoryBeanClass

    default Optional<Class<?>> getRepositoryBeanClass()

Return the `repository base class` to use. Can be `Optional.empty()` .

Returns:
  the optional repository base to use, can be `Optional.empty()`, must not be null.
Since:
  2.1

#### getRepositoryImplementationPostfix

    default String getRepositoryImplementationPostfix()

Returns the configured postfix to be used for looking up custom implementation classes.

Returns:
  the postfix to use, must not be null.

#### getRepositoryProxyPostProcessors

    default List<RepositoryProxyPostProcessor> getRepositoryProxyPostProcessors()

Returns the list of `RepositoryProxyPostProcessor` to be used during repository proxy creation. Can be `Collections.emptyList()` .

Returns:
  the list of repository proxy post processors to use, can be `Collections.emptyList()`, must not be null.
Since:
  2.2

#### getQueryCreationListeners

    default List<QueryCreationListener<?>> getQueryCreationListeners()

Returns the list of `QueryCreationListener` to be used during repository proxy creation. Can be `Collections.emptyList()` .

Returns:
  the list query creation listeners to use, can be `Collections.emptyList()`, must not be null.
Since:
  2.2